<?xml version="1.0" encoding="UTF-8"?>
<web-app version="3.1" xmlns="http://xmlns.jcp.org/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd">
    <listener>
        <listener-class>com.guruofjava.servletweb.UsersAppListener</listener-class>
    </listener>
    <servlet>
        <servlet-name>Time</servlet-name>
        <servlet-class>com.guruofjava.servletweb.TimeServlet</servlet-class>
        <init-param>
            <param-name>date-pattern</param-name>
            <param-value>yyyy-MMM-dd</param-value>
        </init-param>
    </servlet>
    <servlet>
        <servlet-name>User</servlet-name>
        <servlet-class>com.guruofjava.servletweb.UserServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>ViewUsersServlet</servlet-name>
        <servlet-class>com.guruofjava.servletweb.ViewUsersServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>AddUser</servlet-name>
        <servlet-class>com.guruofjava.servletweb.AddUserServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>ContactsServlet</servlet-name>
        <servlet-class>com.guruofjava.servletweb.ContactsServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>LoginServlet</servlet-name>
        <servlet-class>com.guruofjava.servletweb.LoginServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>LogoutServlet</servlet-name>
        <servlet-class>com.guruofjava.servletweb.LogoutServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>DeleteContactServlet</servlet-name>
        <servlet-class>com.guruofjava.servletweb.DeleteContactServlet</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>Time</servlet-name>
        <url-pattern>/now</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>User</servlet-name>
        <url-pattern>/user</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>ViewUsersServlet</servlet-name>
        <url-pattern>/viewUsers</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>AddUser</servlet-name>
        <url-pattern>/addUser</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>ContactsServlet</servlet-name>
        <url-pattern>/viewContacts</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>LoginServlet</servlet-name>
        <url-pattern>/login</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>LogoutServlet</servlet-name>
        <url-pattern>/logout</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>DeleteContactServlet</servlet-name>
        <url-pattern>/deleteContact</url-pattern>
    </servlet-mapping>
    
    
    <session-config>
        <session-timeout>
            30
        </session-timeout>
    </session-config>
</web-app>
